Subject: Re: IPsec AH use of ahash

From: Tom St Denis <[email-masked]>
Date: Sun, 20 Jan 2013 08:54:24 -0500 (EST)

----- Original Message -----
> From: "Alexander Holler" <[email-masked]>
> To: "Tom St Denis" <[email-masked]>
> Cc: "Borislav Petkov" <[email-masked]>, "Eric Dumazet" <[email-masked]>, "Waskiewicz Jr, Peter P"
> <[email-masked]>, "David Miller" <[email-masked]>, "steffen klassert"
> <[email-masked]>, [email-masked], [email-masked], [email-masked],
> "Michal Kubecek" <[email-masked]>, "Mike Galbraith" <[email-masked]>
> Sent: Sunday, 20 January, 2013 8:34:20 AM
> Subject: Re: IPsec AH use of ahash
> 
> Am 20.01.2013 13:56, schrieb Tom St Denis:
> 
> > You should really try running checkpatch.pl over code that's
> > already in the kernel before you call out new contributors on it.
> >
> > How is this supposed to not be adversarial when I can't even use
> > the Kernel source itself as a reference?
> 
> In case of the kernel the chicken and egg problem can be answered
> without any questions, most source existed before checkpatch.pl
> (evolved
> to the current state).

We clearly have different interpretations of the word "maintainer" then...  If they're not maintaining the code then are they really the maintainers of it?

Point is I copied accepted kernel code and was rejected because of "errors" that are in existing kernel code.  Similarly if I did the upgrade to AH to use AEAD I suspect it would be rejected for the same reason.

Tom